Arch 3Ansichten

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch 3Views and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎română • ‎русский

Arch 3Views.svg Arch 3Ansichten

Menüeintrag
Arch → Dienstprogramme → 3 Ansichten aus Netz
Arbeitsbereich
Arch
Standardtastenkürzel
In der Version eingeführt
-
Siehe auch
Arch NetzAufteilen, Arch NetzZuForm


Beschreibung

Dieser Befehl wird zur Zeit nicht verwendet. Er dient dazu, flache, formbasierte Ansichten aus einem Mesh basierten Objekt zu erzeugen, die von der Arch Equipment.svg Arch Ausrüstung Werkzeug.

Anwendung

  1. Wähle ein Netzobjekt aus.
  2. Wähle die Arch 3Views.svg Schaltfläche oder ArchUtilitiesArch 3Views.svg 3Ansichten aus dem oberen Menü.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Dieses Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Erzeugt eine flache Form, die die Projektion des gegebenen Netzobjekts (obj) in der gegebenen Richtung ist.
  • Wenn nuraußen True ist, wird nur die äußere Kontur berücksichtigt, wobei die inneren Löcher verworfen werden.
  • Wenn nurgrößtes True ist, wird nur das größte Segment des gegebenen Netzes verwendet.

Verwende Part.show(), um die resultierende flache Form anzuzeigen.

Beispiel:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False